Bug 432505 - Pungi should report errors and stop
Pungi should report errors and stop
Status: CLOSED DUPLICATE of bug 429509
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 08:32 EST by Gary Thomas
Modified: 2013-01-09 20:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 16:35:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Thomas 2008-02-12 08:32:50 EST
Description of problem:

Problems encountered when building/scanning a repository are only
reported in the logs.  pungi merrily continues on and the subsequent
messages are somewhat misleading.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Define a package set with dependency problems
2.
3.
  
Actual results:


Expected results:


Additional info:

rawhide from 2008-02-11 has [at least] this dependency problem:

--> Finished Dependency Resolution
anaconda-11.4.0.33-1.i386 from anacondarepo has depsolving problems
  --> Missing Dependency: system-config-securitylevel is needed by package
anaconda-11.4.0.33-1.i386 (anacondarepo)
Error: Missing Dependency: system-config-securitylevel is needed by package
anaconda-11.4.0.33-1.i386 (anacondarepo)
ERROR: could not install packages
Aborting instroot creation...

These messages are only in the log file - pungi does not report them
nor stop when they happen.
Comment 1 Jesse Keating 2008-02-28 16:35:13 EST
Those are from buildinstall, and buildinstall doesn't exist non-0 even if it got
errors.  Not sure what I'm going to do in pungi about this, and this is the same
as a previous bug filed.

*** This bug has been marked as a duplicate of 429509 ***

Note You need to log in before you can comment on or make changes to this bug.